<?php

  $out = $this->get_out();

  $xml_name = isset($out["form_params"]["name"]) ? $out["form_params"]["name"] : "sml_xn";
  $xml_label = isset($out["form_params"]["label"]) ? $out["form_params"]["label"] : "";
  $xml_maj_url = isset($out["form_params"]["maj_url"]) ? $out["form_params"]["maj_url"] : "";
  $xml_id = isset($out["form_params"]["id"]) ? $out["form_params"]["id"] : "";
  $xml_id_suffix = isset($out["form_params"]["id"]) ? "_".$out["form_params"]["id"] : "";
  $xml_can_delete = isset($out["form_params"]["can_delete"]) ? $out["form_params"]["can_delete"] : false;
  $source = $this->out("xml_form_source");
  if(!$source) $source = $data->empty_source();

?>
<div class="admin_source_infos" id="<?php echo $xml_name ?>_infos<?php echo $xml_id_suffix ?>">

  <?php if($xml_id) : ?>
  <input type="hidden" name="<?php echo $xml_name ?>_id<?php echo $xml_id_suffix ?>" value="on" />
  <?php endif; ?>

  <div>
    <ul class="admin_source_head">
    <?php if(isset($source["xml"]) && $source["xml"]) : ?>
      <li class="admin_form_title"><?php echo $xml_label ?><a href="<?php echo $source["from"] ?>"><strong><?php echo $source["titre"] ?></strong></a></li>
    <?php endif; ?>
    <?php if($xml_maj_url && $this->config("cache_actif")) : ?>
      <li><a href="<?php echo $xml_maj_url ?>">Recharger</a></li>
    <?php endif; ?>
    <?php if($xml_can_delete) : ?>
      <li><a href="#" onclick="del_sml_xf('<?php echo $xml_name ?>_infos<?php echo $xml_id_suffix ?>'); return false;">Enlever</a></li>
    <?php endif; ?>
    </ul>
    <div class="admin_source_url">URL du fichier XML
    : <input type="text" id="<?php echo $xml_name ?><?php echo $xml_id_suffix ?>" name="<?php echo $xml_name ?><?php echo $xml_id_suffix ?>" size="40" value="<?php echo isset($source["xml"]["url"]) ? $source["xml"]["url"] : "" ?>" />
    </div>
  </div>

  <?php if($source["titre"] && $source["xml"]) : ?>
  <ul class="xml_infos">
    <li>
      source :
      <a href="<?php echo $source["from"] ?>">
        <?php echo $source["titre"] ?>
      </a>
    </li>
    <li>
      xml :
      <a href="<?php echo $source["xml"]["url"] ?>"><?php echo $source["xml"]["url"] ?></a>
    </li>
    <?php if($source["licence"]) : ?>
    <li>licence : <a href="<?php echo $source["licence"]["url"] ?>"><?php echo $source["licence"]["nom"] ?></a></li>
    <?php endif; ?>
    <?php if($source["documents"]) : ?>
    <li>
      fichiers :
      <ul>
      <?php foreach($source["documents"] as $id_document => $document) : ?>
        <li><a href="<?php echo $document["url"] ?>"><?php echo $document["nom"] ?></a></li>
      <?php endforeach; ?>
      </ul>
    </li>
    <?php endif; ?>
  </ul>
  <?php endif; ?>

  <div>
    <span id="<?php echo $xml_name ?>_edit<?php echo $xml_id_suffix ?>" class="xml_edit_content">
      Editer le contenu du fichier XML
      <input type="checkbox" class="use_edit_<?php echo $xml_name ?>_content" id="use_edit_<?php echo $xml_name ?>_content<?php echo $xml_id_suffix ?>" name="use_edit_<?php echo $xml_name ?>_content<?php echo $xml_id_suffix ?>"<?php echo $source["xml"]["use_edit_content"] ? " checked=\"checked\"" : "" ?> />
      <span<?php echo $source["xml"]["use_edit_content"] ? "" : " style=\"display:none\"" ?>>
        <textarea name="edit_<?php echo $xml_name ?>_content<?php echo $xml_id_suffix ?>" id="edit_<?php echo $xml_name ?>_content<?php echo $xml_id_suffix ?>" cols="64" rows="15" wrap="off"><?php echo $source["xml"]["content"] ?></textarea>
      </span>
    </span>
  </div>

</div>
